'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Image = undefined;

var _decorateComponentWithProps = require('decorate-component-with-props');

var _decorateComponentWithProps2 = _interopRequireDefault(_decorateComponentWithProps);

var _addImage = require('./modifiers/addImage');

var _addImage2 = _interopRequireDefault(_addImage);

var _Image2 = require('./Image');

var _Image3 = _interopRequireDefault(_Image2);

var _imageStyles = {
  "image": "draftJsEmojiPlugin__image__192TI"
};

var _imageStyles2 = _interopRequireDefault(_imageStyles);

var _ImageAdd = require('./ImageAdd');

var _ImageAdd2 = _interopRequireDefault(_ImageAdd);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultTheme = {
  image: _imageStyles2.default.image
};

exports.default = function () {
  var config = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var theme = config.theme ? config.theme : defaultTheme;
  return {
    blockRendererFn: function blockRendererFn(block, _ref) {
      var getEditorState = _ref.getEditorState;

      if (block.getType() === 'atomic') {
        var contentState = getEditorState().getCurrentContent();
        var entity = contentState.getEntity(block.getEntityAt(0));
        var type = entity.getType();
        // if (type === 'image') {
        var _Image = config.imageComponent || _Image3.default;
        if (config.decorator) {
          _Image = config.decorator(_Image);
        }
        console.log('theme', theme);
        var ThemedImage = (0, _decorateComponentWithProps2.default)(_Image, { theme: theme });
        return {
          component: ThemedImage,
          editable: false
        };
        // }
        // let Image = config.filePreviewComponent || ImageComponent;
        // if (config.decorator) {
        //   Image = config.decorator(Image);
        // }
        // const ThemedImage = decorateComponentWithProps(Image, { theme });
        // return {
        //   component: ThemedImage,
        //   props: {
        //     fileRecord: entity.getData().fileRecord,
        //   }
        // };
      }

      return null;
    },
    addImage: _addImage2.default,
    ImageAdd: _ImageAdd2.default
  };
};

var Image = exports.Image = _Image3.default;